This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 809552

Summary: Could not find mime types inode/directory etc after update
Product: [Fedora] Fedora Reporter: James Hogan <james>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 16CC: caolanm, dennis, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-08 10:32:49 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description James Hogan 2012-04-03 12:05:45 EDT
Description of problem:

after an update or after installing libreoffice (I only noticed after installing libreoffice, but I don't think it's that that's the problem, it's a mime problem), KDE spews messages like this all over the place, and a bunch of icons are gone, and just open up the .desktop file when clicked on. I thought it might be because it needed a logout, or a restart, tried both, still happens:

Could not find mime types:
“inode/directory”
“inode/blockdevice”
“inode/chardevice”
“inode/socket”
“inode/fifo”
“application/x-shellscript”
“application/x-executable”
“application/x-desktop”

$ locate inode/directory inode/blockdevice inode/chardevice inode/socket inode/fifo application/x-shellscript application/x-executable application/x-desktop | xargs ls -l
ls: cannot access /usr/share/mime/application/x-desktop.xml: No such file or directory
ls: cannot access /usr/share/mime/application/x-executable.xml: No such file or directory
ls: cannot access /usr/share/mime/application/x-shellscript.xml: No such file or directory
ls: cannot access /usr/share/mime/inode/blockdevice.xml: No such file or directory
ls: cannot access /usr/share/mime/inode/chardevice.xml: No such file or directory
ls: cannot access /usr/share/mime/inode/directory.xml: No such file or directory
ls: cannot access /usr/share/mime/inode/fifo.xml: No such file or directory
ls: cannot access /usr/share/mime/inode/socket.xml: No such file or directory

so they're still in the locate cache, but apparently gone now!

$ locate inode/directory inode/blockdevice inode/chardevice inode/socket inode/fifo application/x-shellscript application/x-executable application/x-desktop | xargs yum provides
Loaded plugins: langpacks, presto, refresh-packagekit
No Matches found

and apparently not provided by any packages... I'm out of ideas now. please help

Version-Release number of selected component (if applicable):
not sure which versions are relevant

Additional info:

recent /var/log/yum.log activity:

Apr 03 09:28:30 Updated: gtk3-3.2.4-1.fc16.x86_64
Apr 03 09:28:30 Updated: imsettings-libs-1.2.8.1-1.fc16.x86_64
Apr 03 09:28:30 Updated: krb5-libs-1.9.3-1.fc16.x86_64
Apr 03 09:28:30 Updated: im-chooser-1.5.2.1-1.fc16.x86_64
Apr 03 09:28:30 Updated: im-chooser-common-1.5.2.1-1.fc16.x86_64
Apr 03 09:28:30 Updated: imsettings-1.2.8.1-1.fc16.x86_64
Apr 03 09:28:30 Updated: imsettings-gnome-1.2.8.1-1.fc16.x86_64
Apr 03 09:28:31 Updated: gnome-color-manager-3.2.3-1.fc16.x86_64
Apr 03 09:28:33 Updated: scribus-1.4.0-3.fc16.x86_64
Apr 03 09:28:34 Updated: scribus-doc-1.4.0-3.fc16.noarch
Apr 03 09:28:35 Updated: vlgothic-fonts-common-20120312-1.fc16.noarch
Apr 03 09:28:35 Updated: dracut-013-22.fc16.noarch
Apr 03 09:28:35 Updated: 6:kdelibs-common-4.8.1-3.fc16.x86_64
Apr 03 09:28:37 Updated: 6:kdelibs-4.8.1-3.fc16.x86_64
Apr 03 09:28:37 Updated: kdepimlibs-4.8.1-3.fc16.x86_64
Apr 03 09:28:37 Updated: kdepimlibs-akonadi-4.8.1-3.fc16.x86_64
Apr 03 09:28:37 Updated: libktorrent-1.2.0-2.fc16.x86_64
Apr 03 09:28:39 Updated: vlgothic-fonts-20120312-1.fc16.noarch
Apr 03 09:28:39 Updated: gnome-settings-daemon-3.2.2-2.fc16.x86_64
Apr 03 09:28:39 Updated: imsettings-qt-1.2.8.1-1.fc16.x86_64
Apr 03 09:28:39 Updated: cifs-utils-5.3-2.fc16.x86_64
Apr 03 09:28:39 Updated: gtk3-immodule-xim-3.2.4-1.fc16.x86_64
Apr 03 09:28:39 Updated: iok-2.1.0-2.fc16.x86_64
Apr 03 09:28:39 Updated: 1:oxygen-gtk3-1.0.2.1-1.fc16.x86_64
Apr 03 09:28:40 Updated: seahorse-3.2.2-1.fc16.x86_64
Apr 03 09:28:40 Updated: libnetfilter_conntrack-1.0.0-1.fc16.x86_64
Apr 03 09:28:44 Installed: kernel-devel-3.3.0-8.fc16.x86_64
Apr 03 09:29:05 Updated: VirtualBox-4.1-4.1.12_77218_fedora16-1.x86_64
Apr 03 09:29:06 Updated: llvm-libs-2.9-9.fc16.x86_64
Apr 03 09:29:06 Updated: gdb-7.3.50.20110722-13.fc16.x86_64
Apr 03 09:29:07 Updated: lohit-devanagari-fonts-2.5.1-2.fc16.noarch
Apr 03 09:29:07 Updated: oxygen-gtk2-1.2.2.1-1.fc16.x86_64
Apr 03 09:29:07 Updated: kernel-headers-3.3.0-8.fc16.x86_64
Apr 03 09:29:10 Updated: thunderbird-11.0.1-1.fc16.x86_64
Apr 03 09:29:10 Updated: perl-Socket-2.000-1.fc16.x86_64
Apr 03 09:29:10 Updated: 1:folks-0.6.6-1.fc16.x86_64
Apr 03 09:29:10 Updated: yum-3.4.3-23.fc16.noarch
Apr 03 09:29:10 Updated: krb5-libs-1.9.3-1.fc16.i686
Apr 03 09:29:10 Updated: oxygen-gtk2-1.2.2.1-1.fc16.i686
Apr 03 09:29:13 Installed: kernel-3.3.0-8.fc16.x86_64
Apr 03 16:07:05 Installed: jpackage-utils-1.7.5-15.fc16.x86_64
Apr 03 16:07:05 Installed: libwpd-0.9.2-1.fc16.x86_64
Apr 03 16:07:05 Installed: libwpg-0.2.0-2.fc15.x86_64
Apr 03 16:07:06 Installed: tzdata-java-2012b-3.fc16.noarch
Apr 03 16:07:06 Installed: mythes-1.2.1-3.fc15.x86_64
Apr 03 16:07:06 Installed: mythes-en-3.0-8.fc15.noarch
Apr 03 16:07:06 Installed: libwps-0.2.3-1.fc16.x86_64
Apr 03 16:07:06 Installed: jline-0.9.94-3.fc15.noarch
Apr 03 16:07:06 Installed: rhino-1.7R3-2.fc16.noarch
Apr 03 16:07:07 Installed: lucene-2.9.4-7.fc16.noarch
Apr 03 16:07:07 Installed: lpsolve-5.5.2.0-3.fc15.x86_64
Apr 03 16:07:07 Installed: 1:autocorr-en-3.4.5.2-8.fc16.noarch
Apr 03 16:07:08 Installed: 1:libreoffice-opensymbol-fonts-3.4.5.2-8.fc16.noarch
Apr 03 16:07:08 Installed: graphite2-1.1.1-1.fc16.x86_64
Apr 03 16:07:08 Installed: libtextcat-2.2-12.fc15.x86_64
Apr 03 16:07:08 Installed: ttmkfdir-3.0.9-33.fc15.x86_64
Apr 03 16:07:09 Installed: xorg-x11-fonts-Type1-7.5-4.fc15.noarch
Apr 03 16:07:12 Installed: 1:java-1.6.0-openjdk-1.6.0.0-65.1.11.1.fc16.x86_64
Apr 03 16:07:12 Installed: 1:libreoffice-ure-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:12 Installed: postgresql-jdbc-9.1.901-1.fc16.1.noarch
Apr 03 16:07:12 Installed: hunspell-en-0.20110318-1.fc16.noarch
Apr 03 16:07:21 Installed: 1:libreoffice-core-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:22 Installed: 1:libreoffice-calc-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:23 Installed: 1:libreoffice-writer-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:23 Installed: 1:libreoffice-base-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-presenter-screen-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-impress-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-graphicfilter-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-pdfimport-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-draw-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-math-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-pyuno-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-emailmerge-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:24 Installed: 1:libreoffice-langpack-en-3.4.5.2-8.fc16.x86_64
Apr 03 16:07:28 Installed: 1:java-1.7.0-openjdk-1.7.0.3-2.1.fc16.1.x86_64
Comment 1 James Hogan 2012-04-03 12:15:18 EDT
Okay after some more searching (I searched for a good half an hour before, honestly) I found the following command fixes it:

sudo update-mime-database /usr/share/mime

I'm guessing this should have been done automatically by one of the packages I installed. Anything else I can provide to help?

Cheers
James
Comment 2 Caolan McNamara 2012-04-10 15:46:00 EDT
We've got...

%post core
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun core
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

in the libreoffice.spec anyway, so I don't think it was our fault. (?)
Comment 3 David Tardon 2012-04-11 00:32:56 EDT
... unless some of our mime files have bad syntax and that causes update-mime-database to explode. But of course we would not know that because of that idiotic "&> /dev/null || :" idiom...
Comment 4 Caolan McNamara 2012-04-11 07:23:51 EDT
A manual touch /usr/share/mime/packages/libreoffice.xml && update-mime-database /usr/share/mime doesn't show anything wrong either though
Comment 5 Caolan McNamara 2012-06-08 10:32:49 EDT
If we do manually what the libreoffice spec does then we get no side-effects. Given that LibreOffice is a popular enough component to install and update I'd sort of expect a load of duplicates if it was related to LibreOffice and a common occurrence.

Sadly I have no idea what actually triggered this or how to reproduce it to prove that claim that something else was to blame :-(